Gentoo Archives: gentoo-commits

From: Yixun Lan <dlan@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-power/thermald/
Date: Fri, 14 Feb 2020 14:14:16
Message-Id: 1581689624.6a307021f5f8cd454553ced8538f712d36350d27.dlan@gentoo
commit:     6a307021f5f8cd454553ced8538f712d36350d27
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 13:27:10 2020 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 14:13:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a307021

sys-power/thermald: version bump 1.9.1

Closes: https://bugs.gentoo.org/708286
Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 sys-power/thermald/Manifest              |  1 +
 sys-power/thermald/thermald-1.9.1.ebuild | 46 ++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/sys-power/thermald/Manifest b/sys-power/thermald/Manifest
index a9a68b00c15..06cf2223432 100644
--- a/sys-power/thermald/Manifest
+++ b/sys-power/thermald/Manifest
@@ -1,2 +1,3 @@
 DIST thermald-1.8.tar.gz 422982 BLAKE2B 6970190182a6ebcd6b39fcd34d75221173e1bbbf32cb7c0009001cd2934cf18bbc524ec43d1e99dbf7a1a0bda53b0b2239c9e25e08c4cb9435bceb0a512c5e3b SHA512 2360cfad311a804d7609b9879c5a0db749e1813085093e535eaa948b6fa289c385b8e6762ab15270e2e19170a4f48e0b0d736ffff029651289ec23c8dfc61743
+DIST thermald-1.9.1.tar.gz 429116 BLAKE2B 7b6105b25e89e68f82368e154b4ca2a826192d596c7427ebea3c6aa726c28b5409cf7e0f022132e2ee47423cc732a6d37b2eb05236c579e2c725820516f6993f SHA512 7c16871316fb264abad9d0182cf8b6b5c1b4c747093672e74b7db2b6aa4f322fafdf6a94bfc8a11f427f7be2ee5e5691dc6a25bb5357ce45e7afe868f89b89e1
 DIST thermald-1.9.tar.gz 427380 BLAKE2B 1954531838c0fc3677ab8f91476d5670a6b5d067d580c7c570b37e5d8d8ac408cacb218531bc8363cfd56eee9331291959ff11851550c6c782a43b19bacca01a SHA512 71fa6e9fc2f55623ed0acdb65f9699d5ea2c89c4092546a73d53ac3ea3ca0a5c60f3360c8bef0af9daeeecfe9a20411d9e4d25bc1d89349cfe83ebb03ba387a8

diff --git a/sys-power/thermald/thermald-1.9.1.ebuild b/sys-power/thermald/thermald-1.9.1.ebuild
new file mode 100644
index 00000000000..00ec5a43bbb
--- /dev/null
+++ b/sys-power/thermald/thermald-1.9.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic out-of-source systemd
+
+DESCRIPTION="Thermal daemon for Intel architectures"
+HOMEPAGE="https://01.org/linux-thermal-daemon"
+SRC_URI="https://github.com/01org/thermal_daemon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-libs/dbus-glib:=
+	dev-libs/glib:=
+	dev-libs/libxml2:=
+	sys-apps/dbus:="
+DEPEND="${RDEPEND}
+	dev-util/glib-utils"
+
+S=${WORKDIR}/thermal_daemon-${PV}
+DOCS=( thermal_daemon_usage.txt README.txt )
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+my_src_configure() {
+	# bug 618948
+	append-cxxflags -std=c++14
+
+	ECONF_SOURCE="${S}" econf \
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+}
+
+my_src_install_all() {
+	einstalldocs
+
+	rm -rf "${ED%/}"/etc/init || die
+	doinitd "${FILESDIR}"/thermald
+}